# OSGeo::FDO::Schema::RasterPropertyDefinition Class Reference
[OSGeo::FDO::Schema]

Inheritance diagram for OSGeo::FDO::Schema::RasterPropertyDefinition:

[legend]

List of all members.

## Detailed Description

RasterPropertyDefinition has the information needed to create or completely describe a raster property. This class encapsulates the information necessary to insert a 'new' raster, in the absence of any other information, for the properties defined using this schema element.

()

## Public Member Functions
__property OSGeo::FDO::Raster::RasterDataModel * | get_DefaultDataModel ()
| Gets the default data model used by this raster property.
__property System::Int32 | get_DefaultImageXSize ()
| Gets the default size of image file in the horizontal direction in pixels (number of columns).
__property System::Int32 | get_DefaultImageYSize ()
| Gets the default size of an image file in the vertical direction in pixels (number of rows).
__property System::Boolean | get_Nullable ()
| Returns a Boolean value that indicates if this property's value can be null.
__property System::Boolean | get_ReadOnly ()
| Returns a Boolean value that indicates if this property is read-only.
__property System::String * | get_SpatialContextAssociation ()
| Gets the Spatial Context name associated to this raster property.
| RasterPropertyDefinition (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a RasterPropertyDefinition object based on an unmanaged instance of the object.
| RasterPropertyDefinition (System::String *name, System::String *description, System::Boolean system)
| Constructs an instance of an RasterPropertyDefinition using the specified arguments.
| RasterPropertyDefinition (System::String *name, System::String *description)
| Constructs an instance of an RasterPropertyDefinition using the specified arguments.
| RasterPropertyDefinition ()
| Constructs a default instance of an RasterPropertyDefinition.
__property System::Void | set_DefaultDataModel (OSGeo::FDO::Raster::RasterDataModel *dataModel)
| Sets the default data model used by this raster property. Allowed values are only those data models that are acceptable to the SupportsDataModel capability.
__property System::Void | set_DefaultImageXSize (System::Int32 size)
| Sets the default size of an image file in the horizontal direction in pixels (number of columns).
__property System::Void | set_DefaultImageYSize (System::Int32 size)
| Sets the default size of an image file in the vertical direction in pixels (number of rows).
__property System::Void | set_Nullable (System::Boolean value)
| Sets a Boolean value that indicates if this property's value can be null.
__property System::Void | set_ReadOnly (System::Boolean value)
| Sets a Boolean value that indicates if this property is read-only.
__property System::Void | set_SpatialContextAssociation (System::String *spatialContextName)
| Spatial Context Support.